Snap 6.3.0 25 virt-who interval schedule shouldn't affect Global config file while creating individual
hypervisor config
Target version:
Pull request:

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1517229

Description of problem:

While creating new config file Infrastructure --> Virt-who Configurations --> Create Config there is option "Interval” to mention under
Schedule

Each time you create a new config file and if changed this Interval option then it changes the virt-who_interval in /etc/sysconfig file.

Eg. created first esx config file and set Interval = 2 hours.
Then created second rhevm config file and set Interval = 1 hour

Running # hammer virt-who-config deploy --id 2 on satellite server will overide /etc/sysconfig/virt-who file and set virt-who interval as
3600 which was earlier 7200.

So here should be a naming change for Schedule as "Global schedule" file or something more meaningful and a message should be
displayed in information box as it will affect your global settings and this is not the local setting for that config file.

Version-Release number of selected component (if applicable):
satellite 6.3.0 25.0

virt-who-0.19-6.el7_4.noarch
foreman-1.15.6.9-1.el7sat.noarch

Related issues:
Copied to virt-who configure - Feature #21803: Improve inline help for "globa... Closed 11/27/2017

History

#1 - 11/29/2017 08:49 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman_virt_who_configure/pull/76 added

#2 - 11/29/2017 08:52 AM - Marek Hulan

- Subject changed from Snap 6.3.0 25 virt-who interval schedule shouldn't affect Global config file while creating individual hypervisor config
to Snap 6.3.0 25 virt-who interval schedule shouldn't affect Global config file while creating individual hypervisor config

- translation missing: en.field_release set to 320

#3 - 11/29/2017 09:02 AM - Marek Hulan
- translation missing: en.field_release deleted (320)

- Pull request deleted (https://github.com/theforeman/foreman_virt_who_configure/pull/76)

actually for help improvement we'll use separate ticket, this one is to solve the separate configuration once virt-who allows that
https://bugzilla.redhat.com/show_bug.cgi?id=1517229

#4 - 11/29/2017 09:03 AM - Marek Hulan
- Copied to Feature #21803: Improve inline help for "global parameters" added

#5 - 04/16/2024 08:14 PM - Chris Roberts

- Status changed from New to Closed
